Subject: bug#20241: 25.0.50; `setq' with only one argument

From: John Wiegley <[email-masked]>
Date: Wed, 25 Nov 2015 12:37:20 -0800

>>>>> Artur Malabarba <[email-masked]> writes:

> On 25 Nov 2015 7:40 pm, "John Wiegley" <[email-masked]> wrote:
>> Ok, let's go with this then:
>> 
>> Evaluation: Run-time error
>> Compilation: Compile-time warning
>> Execution: Run-time error (same as Evaluation)
>> 
>> I think that's the convergence point for the three of us, amirite?

> Yes, that's the final behaviour we should have. 
> (Though, like I said, I'd prefer it if the errors were postponed to the next
> release. And Alan was having second thoughts about being so quick with the
> errors too (IIUC, he's investigating Gelpa code now).) 

I'd accept a deprecation warning that notifies it will become an error in
25.2, then.

John